## cupt 2.9.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
project(Cupt)

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -D_GLIBCXX_USE_CXX11_ABI=0")

add_subdirectory(cpp)
add_subdirectory(doc)
add_subdirectory(po)
add_subdirectory(test)

=== cpp/CMakeLists.txt ===
IF(NOT EXISTS /usr/include/boost/xpressive/xpressive_dynamic.hpp)
	message(FATAL_ERROR "missing Boost.Xpressive library")
ENDIF()

IF(NOT EXISTS /usr/include/boost/program_options.hpp)
	message(FATAL_ERROR "missing Boost.ProgramOptions library")
ENDIF()

find_package(Boost 1.42.0)
IF(Boost_FOUND)
	IF(Boost_VERSION LESS 104200)
		message(FATAL_ERROR "need Boost of version 1.42.0")
	ENDIF(Boost_VERSION LESS 104200)
ELSE()
	message(FATAL_ERROR "missing Boost")
ENDIF()

IF(NOT EXISTS /usr/include/readline/readline.h)
	message(FATAL_ERROR "missing GNU Readline library")
ENDIF()

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -pthread -Wall -Wextra -std=gnu++0x -fPIC -include common/common.hpp")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-format-security") # yes, we should move type-safe alternative eventually
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} $ENV{CXXFLAGS}")

OPTION(LOCAL "is build local" ON)


set(OUR_LINKER_FLAGS "-pthread -Wl,--as-needed")
set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} ${OUR_LINKER_FLAGS}")
set(CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} ${OUR_LINKER_FLAGS}")

set(CUPT_API_VERSION 4)
set(CUPT_SOVERSION 0)
set(CUPT_RELATIVE_DOWNLOADMETHODS_DIR "lib/cupt${CUPT_API_VERSION}-${CUPT_SOVERSION}/downloadmethods")

# detect version from debian/changelog
execute_process(
	COMMAND "dpkg-parsechangelog" "-l${PROJECT_SOURCE_DIR}/debian/changelog"
	COMMAND "grep" "^Version"
	COMMAND "cut" "-d " "-f" "2"
	OUTPUT_VARIABLE CUPT_VERSION
	OUTPUT_STRIP_TRAILING_WHITESPACE
)

IF(CUPT_VERSION)
	message(STATUS "Detected Cupt version: ${CUPT_VERSION}")
	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DCUPT_VERSION=${CUPT_VERSION}")
ELSE()
	message(FATAL_ERROR "Unable to detect Cupt version.")
ENDIF()

include_directories(.)

add_subdirectory(console)
add_subdirectory(lib)
add_subdirectory(downloadmethods)

=== debian/changelog ===
cupt (2.9.2) unstable; urgency=medium

  * cmakelists:
    - Temporarily added a compiler switch to use old C++11 ABI. To be removed
      when Boost libraries (which we link to) get rebuilt with new C++11 ABI.
    - Removed some obsolete/unneeded include directories.
  * debian:
    - control:
      - Added forgotten Conflicts between libcupt4-dev and libcupt3-dev.
        (Closes: #792847)
    - cupt.bash-completion:
      - Added to use dh_bash-completion instead of manual file copying.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sun, 02 Aug 2015 18:44:22 +0300

=== debian/control ===
Source: cupt
Section: admin
Priority: optional
Build-Depends:
# build system
  debhelper (>= 7.4.10),
  cmake (>= 2.6),
  chrpath,
  gettext,
  bash-completion,
# runtime libraries
  libboost-program-options-dev (>= 1.42),
  libboost-dev (>= 1.42),
  libreadline6-dev,
  libcurl4-gnutls-dev (>= 7.19.4),
  libgcrypt11-dev,
# documentation
  doxygen,
  txt2tags,
# test suite
  libipc-run3-perl
Maintainer: Cupt developers <cupt-devel@lists.alioth.debian.org>
Uploaders: Eugene V. Lyubimkin <jackyf@debian.org>
Homepage: http://wiki.debian.org/Cupt
Standards-Version: 3.9.6
Vcs-Git: git://github.com/jackyf/cupt.git
Vcs-Browser: https://github.com/jackyf/cupt/tree/master

Package: cupt-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libcupt4-0 (= ${binary:Version}) | cupt (= ${binary:Version}) |
 libcupt4-0-downloadmethod-curl (= ${binary:Version}) |
 libcupt4-0-downloadmethod-wget (= ${binary:Version}),
 ${misc:Depends}
Description: flexible package manager -- debugging symbols
 This package contains gdb debugging symbols for the Cupt packages.

Package: libcupt4-0
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libcupt-common (>= ${source:Version})
Breaks: debdelta (<< 0.31), dpkg (<< 1.17.11~)
Recommends: libcupt4-0-downloadmethod-curl | libcupt4-0-downloadmethod-wget, bzip2, gpgv, ed
Suggests: cupt, lzma, xz-utils, debdelta (>= 0.31), dpkg-dev, dpkg-repack
Description: flexible package manager -- runtime library
 This is a Cupt library implementing high-level package manager for Debian and
 derivatives. It's written with flexibility and reliability in mind and uses
 dpkg as the back-end.
 .
 Provides:
  - parsing and manipulating configuration info;
  - parsing indexes metadata info;
  - version strings comparison;
  - inspection of the binary and source package' versions;
  - parsing and querying info about installed packages;
  - parsing and working with relations and relation expressions;
  - download manager and downloaders for some schemes;
  - problem resolver;
  - worker for modifying system state.
 .
 See also description of 'cupt' package for more information.

Package: libcupt-common
Architecture: all
Depends: ${misc:Depends}
Conflicts: libcupt2-0
Replaces: libcupt2-0
Description: flexible package manager -- runtime library (support files)
 This package provides architecture-independent support parts for Cupt library.
 .
 See also description of libcupt4-0 package.

Package: libcupt4-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libcupt4-0 (= ${binary:Version})
Conflicts: libcupt2-dev, libcupt3-dev
Suggests: libcupt4-doc
Description: flexible package manager -- development files
 This package provides headers for Cupt library.
 .
 See also description of libcupt4-0 package.

Package: libcupt4-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: flexible package manager -- library documentation
 This package provides documentation for Cupt library.
 .
 See also description of libcupt4-0 package.

Package: cupt
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libcupt4-0 (>= ${binary:Version})
Breaks: daptup (<< 0.12.2~)
Suggests: sensible-utils, libreadline6
Description: flexible package manager -- console interface
 This package provides a console interface to Cupt library, which implements
 high-level package manager for Debian and derivatives. Cupt is written with
 flexibility and reliability in mind and uses dpkg as the back-end.
 .
 Cupt uses the same APT infrastructure, e.g. index files, deb cache archive
 files, configuration files. It understands some of widely used APT options.
 .
 Some features:
  - strict full-case resolver;
  - resolver reasons tracking;
  - command-line and 'cupt::*' option name checker;
  - case-sensitive search;
  - pinning by source package name;
  - pinning by package groups using shell-like patterns;
  - configurable 'depends' and 'rdepends' subcommands;
  - 'satisfy' subcommand;
  - support of LZMA-compressed indexes;
  - source versions synchronization;
  - 'shell' subcommand (to get command history, search etc. working, install
    the package 'libreadline6');
  - integration with debdelta (to get it, install the package 'debdelta');
  - system snapshots (needs packages 'dpkg-dev' and 'dpkg-repack').
 .
 Its interface is mostly like apt-get/aptitude console interface.
 .
 Cupt has built-in support for APT repositories using the file:// or copy://
 URL schemas. For access to remote repositories using HTTP or FTP, install a
 download method such as libcupt4-0-downloadmethod-curl.

Package: libcupt4-0-downloadmethod-curl
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: flexible package manager -- libcurl download method
 This package provides http(s) and ftp download handlers for Cupt library
 using libcurl.
 .
 See also description of libcupt4-0 package.

Package: libcupt4-0-downloadmethod-wget
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, wget
Description: flexible package manager -- wget download method
 This package provides http(s) and ftp download handlers for Cupt library
 using wget.
 .
 See also description of libcupt4-0 package.

=== debian/rules ===
#!/usr/bin/make -f

ifeq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
	CMAKE_OPTIONS += -DCMAKE_BUILD_TYPE=RelWithDebInfo
else
	CMAKE_OPTIONS += -DCMAKE_BUILD_TYPE=Debug
endif


override_dh_auto_configure:
	dh_auto_configure -- $(CMAKE_OPTIONS)

override_dh_auto_install-arch:
	dh_auto_configure -- $(CMAKE_OPTIONS) -DLOCAL:bool=off
	dh_auto_install
	chrpath --delete $(CURDIR)/debian/tmp/usr/bin/cupt

override_dh_auto_install-indep:
	install -m644 scripts/logrotate $(CURDIR)/debian/libcupt-common/etc/logrotate.d/cupt

override_dh_strip:
	dh_strip --dbg-package=cupt-dbg

%:
	dh --parallel $@ --with bash-completion

## cupt 2.9.2build1

=== debian/changelog ===
cupt (2.9.2build1) wily; urgency=medium

  * No-change rebuild using boost 1.58.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 28 Aug 2015 15:00:47 +0200

## cupt 2.9.3

=== debian/changelog ===
cupt (2.9.3) unstable; urgency=medium

  * lib:
    - cache/package:
      - Disallow more than 1 installed version per package. This fixes data
        inconsistencies which may lead to crashes. (Closes: #794430)
    - system/state:
      - Parsing dpkg status file: error out on empty package names.
      - Parsing dpkg status file: require 'Package' tag first for every
        record.
      - Parsing dpkg status file: require 'Status' tag for every versioned
        record.
      - Parsing dpkg status file: do not stop reading when met with a newline
        instead of a first tag.
  * debian:
    - control:
      - Bumped the ABI suffix from 0 to 1 for the GCC5 C++11 ABI transition.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Tue, 25 Aug 2015 21:13:01 +0300

=== debian/control ===
--- 
+++ 
@@ -30,18 +30,18 @@
 Section: debug
 Priority: extra
 Architecture: any
-Depends: libcupt4-0 (= ${binary:Version}) | cupt (= ${binary:Version}) |
- libcupt4-0-downloadmethod-curl (= ${binary:Version}) |
- libcupt4-0-downloadmethod-wget (= ${binary:Version}),
+Depends: libcupt4-1 (= ${binary:Version}) | cupt (= ${binary:Version}) |
+ libcupt4-1-downloadmethod-curl (= ${binary:Version}) |
+ libcupt4-1-downloadmethod-wget (= ${binary:Version}),
  ${misc:Depends}
 Description: flexible package manager -- debugging symbols
  This package contains gdb debugging symbols for the Cupt packages.
 
-Package: libcupt4-0
+Package: libcupt4-1
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, libcupt-common (>= ${source:Version})
 Breaks: debdelta (<< 0.31), dpkg (<< 1.17.11~)
-Recommends: libcupt4-0-downloadmethod-curl | libcupt4-0-downloadmethod-wget, bzip2, gpgv, ed
+Recommends: libcupt4-1-downloadmethod-curl | libcupt4-1-downloadmethod-wget, bzip2, gpgv, ed
 Suggests: cupt, lzma, xz-utils, debdelta (>= 0.31), dpkg-dev, dpkg-repack
 Description: flexible package manager -- runtime library
  This is a Cupt library implementing high-level package manager for Debian and
@@ -69,18 +69,18 @@
 Description: flexible package manager -- runtime library (support files)
  This package provides architecture-independent support parts for Cupt library.
  .
- See also description of libcupt4-0 package.
+ See also description of libcupt4-1 package.
 
 Package: libcupt4-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libcupt4-0 (= ${binary:Version})
+Depends: ${misc:Depends}, libcupt4-1 (= ${binary:Version})
 Conflicts: libcupt2-dev, libcupt3-dev
 Suggests: libcupt4-doc
 Description: flexible package manager -- development files
  This package provides headers for Cupt library.
  .
- See also description of libcupt4-0 package.
+ See also description of libcupt4-1 package.
 
 Package: libcupt4-doc
 Section: doc
@@ -89,11 +89,11 @@
 Description: flexible package manager -- library documentation
  This package provides documentation for Cupt library.
  .
- See also description of libcupt4-0 package.
+ See also description of libcupt4-1 package.
 
 Package: cupt
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, libcupt4-0 (>= ${binary:Version})
+Depends: ${misc:Depends}, ${shlibs:Depends}, libcupt4-1 (>= ${binary:Version})
 Breaks: daptup (<< 0.12.2~)
 Suggests: sensible-utils, libreadline6
 Description: flexible package manager -- console interface
@@ -124,22 +124,22 @@
  .
  Cupt has built-in support for APT repositories using the file:// or copy://
  URL schemas. For access to remote repositories using HTTP or FTP, install a
- download method such as libcupt4-0-downloadmethod-curl.
+ download method such as libcupt4-1-downloadmethod-curl.
 
-Package: libcupt4-0-downloadmethod-curl
+Package: libcupt4-1-downloadmethod-curl
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: flexible package manager -- libcurl download method
  This package provides http(s) and ftp download handlers for Cupt library
  using libcurl.
  .
- See also description of libcupt4-0 package.
+ See also description of libcupt4-1 package.
 
-Package: libcupt4-0-downloadmethod-wget
+Package: libcupt4-1-downloadmethod-wget
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, wget
 Description: flexible package manager -- wget download method
  This package provides http(s) and ftp download handlers for Cupt library
  using wget.
  .
- See also description of libcupt4-0 package.
+ See also description of libcupt4-1 package.

## cupt 2.9.4

=== debian/changelog ===
cupt (2.9.4) unstable; urgency=medium

  * debian/rules:
    - Fixed calling CMake's install before trying to copy translation files to
      a target package (Closes: #806010).

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sun, 14 Feb 2016 13:36:37 +0100

## cupt 2.9.4ubuntu1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
project(Cupt)

add_subdirectory(cpp)
add_subdirectory(doc)
add_subdirectory(po)
add_subdirectory(test)

=== cpp/CMakeLists.txt ===
--- 
+++ 
@@ -31,7 +31,7 @@
 set(CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} ${OUR_LINKER_FLAGS}")
 
 set(CUPT_API_VERSION 4)
-set(CUPT_SOVERSION 0)
+set(CUPT_SOVERSION 1)
 set(CUPT_RELATIVE_DOWNLOADMETHODS_DIR "lib/cupt${CUPT_API_VERSION}-${CUPT_SOVERSION}/downloadmethods")
 
 # detect version from debian/changelog

=== cpp/console/CMakeLists.txt ===
include_directories(../lib/include)
add_executable(cupt.bin
	common.cpp
	cupt.cpp
	misc.cpp
	handlers/search.cpp
	handlers/misc.cpp
	handlers/managepackages.cpp
	handlers/shell.cpp
	handlers/download.cpp
	handlers/snapshot.cpp
	handlers/why.cpp
	colorizer.cpp
	functionselectors.cpp
	selectors.cpp)
set_property(TARGET cupt.bin PROPERTY OUTPUT_NAME cupt)
target_link_libraries(cupt.bin libcupt boost_program_options)

install(TARGETS cupt.bin DESTINATION bin)

=== cpp/lib/CMakeLists.txt ===
if (LOCAL)
	set(PASSED_DOWNLOADMETHODS_DIR "${CMAKE_CURRENT_BINARY_DIR}/../downloadmethods")
else()
	set(PASSED_DOWNLOADMETHODS_DIR "/usr/${CUPT_RELATIVE_DOWNLOADMETHODS_DIR}")
endif()

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}  -fvisibility=hidden")
include_directories(include)
include_directories(src)

add_library(libcupt-download-part OBJECT
	./src/download/uri.cpp
	./src/download/manager.cpp
	./src/download/method.cpp
	./src/download/methodfactory.cpp
	./src/download/progress.cpp
	./src/download/progresses/console.cpp)
set_target_properties(libcupt-download-part
		PROPERTIES COMPILE_FLAGS "-DDOWNLOADMETHODS_DIR=\\\"${PASSED_DOWNLOADMETHODS_DIR}\\\"")

add_library(libcupt SHARED
	./src/internal/common.cpp
	./src/internal/configparser.cpp
	./src/internal/nativeresolver/impl.cpp
	./src/internal/nativeresolver/solution.cpp
	./src/internal/nativeresolver/score.cpp
	./src/internal/nativeresolver/dependencygraph.cpp
	./src/internal/nativeresolver/decisionfailtree.cpp
	./src/internal/nativeresolver/autoremovalpossibility.cpp
	./src/internal/lock.cpp
	./src/internal/cacheimpl.cpp
	./src/internal/pininfo.cpp
	./src/internal/filesystem.cpp
	./src/internal/debdeltahelper.cpp
	./src/internal/tagparser.cpp
	./src/internal/worker/base.cpp
	./src/internal/worker/archives.cpp
	./src/internal/worker/dpkg.cpp
	./src/internal/worker/metadata.cpp
	./src/internal/worker/setupandpreview.cpp
	./src/internal/worker/packages.cpp
	./src/internal/worker/snapshots.cpp
	./src/internal/regex.cpp
	./src/internal/cachefiles.cpp
	./src/internal/logger.cpp
	./src/internal/pipe.cpp
	./src/internal/basepackageiterator.cpp
	./src/internal/indexofindex.cpp
	./src/internal/versionparse.cpp
	./src/config.cpp
	./src/cache.cpp
	./src/cache/relation.cpp
	./src/cache/binarypackage.cpp
	./src/cache/binaryversion.cpp
	./src/cache/sourcepackage.cpp
	./src/cache/sourceversion.cpp
	./src/cache/package.cpp
	./src/cache/version.cpp
	./src/system/state.cpp
	./src/system/resolver.cpp
	./src/system/resolvers/native.cpp
	./src/system/worker.cpp
	./src/system/snapshots.cpp
	./src/common.cpp
	./src/common/compareversions.cpp
	./src/common/consumers.cpp
	./src/file.cpp
	./src/hashsums.cpp
	./src/versionstring.cpp
	$<TARGET_OBJECTS:libcupt-download-part>
)
set_target_properties(libcupt PROPERTIES SOVERSION ${CUPT_SOVERSION} OUTPUT_NAME "cupt${CUPT_API_VERSION}")
target_link_libraries(libcupt dl rt gcrypt -Wl,--no-undefined)

install(TARGETS libcupt DESTINATION lib)
install(DIRECTORY include/ DESTINATION include)

=== debian/changelog ===
cupt (2.9.4ubuntu1) xenial; urgency=medium

  * Unset APT_CONFIG to fix testsuite under newer sbuild (Closes: #819605)

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 16 Apr 2016 16:10:08 -0600

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,8 @@
   txt2tags,
 # test suite
   libipc-run3-perl
-Maintainer: Cupt developers <cupt-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Cupt developers <cupt-devel@lists.alioth.debian.org>
 Uploaders: Eugene V. Lyubimkin <jackyf@debian.org>
 Homepage: http://wiki.debian.org/Cupt
 Standards-Version: 3.9.6

## cupt 2.9.4ubuntu2

=== debian/changelog ===
cupt (2.9.4ubuntu2) yakkety; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 23 Apr 2016 18:37:54 +0000

## cupt 2.9.5

=== debian/changelog ===
cupt (2.9.5) unstable; urgency=medium

  * test:
    - TestCupt:
      - Make sure APT_CONFIG environment variable is not pre-set. Fixes FTBFS
        if the building tool or environment uses APT_CONFIG for own purposes
        (like newer sbuild). Patch by Adam Conrad, thanks! (Closes: #819605).
  * debian
    - control:
      - Bumped Standards-Version to 3.9.8, no changes needed.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sun, 19 Jun 2016 16:39:02 +0200

=== debian/control ===
--- 
+++ 
@@ -19,11 +19,10 @@
   txt2tags,
 # test suite
   libipc-run3-perl
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Cupt developers <cupt-devel@lists.alioth.debian.org>
+Maintainer: Cupt developers <cupt-devel@lists.alioth.debian.org>
 Uploaders: Eugene V. Lyubimkin <jackyf@debian.org>
 Homepage: http://wiki.debian.org/Cupt
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Git: git://github.com/jackyf/cupt.git
 Vcs-Browser: https://github.com/jackyf/cupt/tree/master

## cupt 2.9.5build1

=== debian/changelog ===
cupt (2.9.5build1) yakkety; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 04 Aug 2016 08:15:45 +0000

## cupt 2.9.8

=== debian/changelog ===
cupt (2.9.8) unstable; urgency=high

  * lib:
    - cache:
      - Verifying repository signatures: ported to gpgv v2.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Tue, 04 Oct 2016 08:40:30 +0200

cupt (2.9.7) unstable; urgency=medium

  * lib:
    - cache/relation:
      - ArchitecturedRelation: don't choke on build profiles.
  * debian:
    - cupt.dirs:
      - Don't create empty and obsolete /etc/bash_completion.d/ directory.
      - Don't create /usr/bin, it's created automatically by install targets.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sun, 02 Oct 2016 16:59:13 +0200

cupt (2.9.6) unstable; urgency=medium

  * cmakelists:
    - Detect a GCC6 lambda capture optimisation bug (#838438), and lower the
      optimization level if found. This avoids miscompilation on armel/armhf.
      (Closes: #836588)

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Fri, 23 Sep 2016 10:48:07 +0200

=== debian/control ===
--- 
+++ 
@@ -40,7 +40,7 @@
 Package: libcupt4-1
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, libcupt-common (>= ${source:Version})
-Breaks: debdelta (<< 0.31), dpkg (<< 1.17.11~)
+Breaks: debdelta (<< 0.31), dpkg (<< 1.17.11~), gpgv (<< 2~)
 Recommends: libcupt4-1-downloadmethod-curl | libcupt4-1-downloadmethod-wget, bzip2, gpgv, ed
 Suggests: cupt, lzma, xz-utils, debdelta (>= 0.31), dpkg-dev, dpkg-repack
 Description: flexible package manager -- runtime library

## cupt 2.9.8build1

=== debian/changelog ===
cupt (2.9.8build1) zesty; urgency=high

  * No change rebuild against boost1.62.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 01 Nov 2016 16:15:11 +0000

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,8 @@
   txt2tags,
 # test suite
   libipc-run3-perl
-Maintainer: Cupt developers <cupt-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Cupt developers <cupt-devel@lists.alioth.debian.org>
 Uploaders: Eugene V. Lyubimkin <jackyf@debian.org>
 Homepage: http://wiki.debian.org/Cupt
 Standards-Version: 3.9.8

## cupt 2.9.9

=== cpp/CMakeLists.txt ===
--- 
+++ 
@@ -19,16 +19,9 @@
 	message(FATAL_ERROR "missing GNU Readline library")
 ENDIF()
 
-set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -pthread -Wall -Wextra -std=gnu++0x -fPIC -include common/common.hpp")
-set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-format-security") # yes, we should move type-safe alternative eventually
-set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} $ENV{CXXFLAGS}")
-
 OPTION(LOCAL "is build local" ON)
 
-
-set(OUR_LINKER_FLAGS "-pthread -Wl,--as-needed")
-set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} ${OUR_LINKER_FLAGS}")
-set(CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} ${OUR_LINKER_FLAGS}")
+include(flags.cmake)
 
 set(CUPT_API_VERSION 4)
 set(CUPT_SOVERSION 1)

=== debian/changelog ===
cupt (2.9.9) unstable; urgency=medium

  * console:
    - 'shell': switched to libreadline7 from libreadline6. Patch by
      Sven Joachim. (Closes: #845358)
  * lib:
    - cache:
      - Verifying repository signatures: ignore unknown status lines from
        gpgv.
      - Fixed pre-parsing versioned provides when all provides for a particular
        package are versioned.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Tue, 27 Dec 2016 20:12:27 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 # runtime libraries
   libboost-program-options-dev (>= 1.42),
   libboost-dev (>= 1.42),
-  libreadline6-dev,
+  libreadline-dev,
   libcurl4-gnutls-dev (>= 7.19.4),
   libgcrypt11-dev,
 # documentation
@@ -19,8 +19,7 @@
   txt2tags,
 # test suite
   libipc-run3-perl
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Cupt developers <cupt-devel@lists.alioth.debian.org>
+Maintainer: Cupt developers <cupt-devel@lists.alioth.debian.org>
 Uploaders: Eugene V. Lyubimkin <jackyf@debian.org>
 Homepage: http://wiki.debian.org/Cupt
 Standards-Version: 3.9.8
@@ -96,7 +95,7 @@
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, libcupt4-1 (>= ${binary:Version})
 Breaks: daptup (<< 0.12.2~)
-Suggests: sensible-utils, libreadline6
+Suggests: sensible-utils, libreadline7
 Description: flexible package manager -- console interface
  This package provides a console interface to Cupt library, which implements
  high-level package manager for Debian and derivatives. Cupt is written with
@@ -117,7 +116,7 @@
   - support of LZMA-compressed indexes;
   - source versions synchronization;
   - 'shell' subcommand (to get command history, search etc. working, install
-    the package 'libreadline6');
+    the package 'libreadline7');
   - integration with debdelta (to get it, install the package 'debdelta');
   - system snapshots (needs packages 'dpkg-dev' and 'dpkg-repack').
  .

## cupt 2.9.10

=== debian/changelog ===
cupt (2.9.10) unstable; urgency=medium

  * lib:
    - Added missing includes for GCC7. (Closes: #853362)
  * debian/control:
    - Depend on libgcrypt20-dev instead of libgcrypt11-dev (which became
      a transitional package (Closes: #864099)

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sun, 10 Sep 2017 16:35:01 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
   libboost-dev (>= 1.42),
   libreadline-dev,
   libcurl4-gnutls-dev (>= 7.19.4),
-  libgcrypt11-dev,
+  libgcrypt20-dev,
 # documentation
   doxygen,
   txt2tags,

## cupt 2.9.10build1

=== debian/changelog ===
cupt (2.9.10build1) bionic; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 26 Oct 2017 17:12:52 +0000

## cupt 2.10.0

=== doc/examples/show-upgradeable/CMakeLists.txt ===
add_executable(show-upgradeable show-upgradeable.cpp)
target_link_libraries(show-upgradeable libcupt)

=== debian/changelog ===
cupt (2.10.0) unstable; urgency=low

  * console:
    - New positional action override option '--reinstall'.
    - Action preview prompt: removed printing "(a)" suffix for removed/purged
      automatically installed packages. Instead, introduced all-action
      package indicators: "{m}" for manually installed packages, "{a}" for
      automatically installed ones. Those 2 affect only non-color output mode.
      Only "{m}" is enabled by default.
    - Action preview prompt: fixed an internal error on showing versions for
      to-be-purged removed packages.
    - Action preview prompt: warn (by default) when removing important
      packages (the ones marked as 'Important: yes').
    - Action preview prompt: fixed showing broken installed packages as to
      be reinstalled if an user prevented their automatic
      removal/reinstallation.
    - Package action modifier suffixes '+' and '-' are now deprecated.
      They still work (for now) but produce a warning when used.
    - 'shell':
      - Don't rebuild the cache when the last action required less cache
        parts than the current one, but all needed parts were loaded before.
      - Don't rebuild the cache if simulation is on.
      - Replaced argument parsing algorithm from a shell invocation to a
        simple word parser (simple one-level shell quotes still allowed).
      - 'version' and 'help' commands now work also here.
    - 'dist-upgrade':
      - Do not apply positional arguments on the first stage (when upgrading
        package management tools).
    - 'reinstall':
      - Make non-must reinstall requests non-fatal even if there are no
        reinstallation candidates.
      - Also consider candidates having same version but different hash sums.
    - 'functional selectors':
      - New functions 'build-depends-arch' and 'build-conflicts-arch'.
      - New functions 'reverse-build-depends-arch' and
        'reverse-build-conflicts-arch.
      - New function 'important';
  * lib:
    - config:
      - New option 'cupt::console::warnings::removal-of-essential'.
      - New option 'cupt::console::warnings::removal-of-important'.
      - Don't ask dpkg for architectures if the 'apt::architecture' option
        was already set via configuration file.
      - New method 'getConfigurationPartPaths'.
      - Enable colored output on terminals by default.
      - New options in 'cupt::console::actions-preview' family:
        'package-indicators::manually-installed' and
        'package-indicators::automatically-installed'.
    - cache:
      - Verifying repository signatures: use APT keyrings directly, now that
        they're finally world-readable.
      - Verifying repository signatures: display better error message when
        a key has expired.
      - Verifying repository signatures: display 'public key not found'
        warning message also if there are no available keyrings.
      - Verifying repository signatures: treat unaccessible detached
        signatures as missing (results in better diagnostics).
      - Removed the 'copy the keyring' hack, introduced in 2.2.2.
      - Removed support of localized descriptions without a description hash
        present in the original index (even oldstable has them).
      - Parsing release files: fixed displaying 'no release file present'
        warnings if more than one release file is missing.
      - Support for 'check-valid-until=no' option in sources.list.
      - 'getSatisfyingVersions': provisional single-arch support for ':native'
        suffixes.
    - cache/binaryversion:
      - [ABI break] New member 'important'.
    - cache/sourceversion:
      - [ABI break] New member 'buildProfiles'.
      - [ABI break] 'RelationTypes': new values 'BuildDependsArch' and
        'BuildConflictsArch'.
    - system/worker:
      - 'updateReleaseAndIndexData': fixed removing partial uncompressed file
        if uncompressing of a temporary file failed.
      - 'updateReleaseAndIndexData': use new '*-Download' sections in
        diff indexes to check size and hash sums of individual diff earlier.
      - 'updateReleaseAndIndexData': dropped the obsolete way of downloading
        translation files via localication index (even oldstable has them in
        Release files).
      - 'changeSystem': do not require anymore that 'dpkg' binary package is
        installed, it's enough that dpkg binary is available.
  * doc:
    - reference:
      - Fixed Doxygen warnings about obsolete Doxyfile tags.
  * debian:
    - control:
      - Bumped the ABI suffix from 1 to 2.
      - Added build-dependency on locales-all (for locale-specific tests).
      - Added build-dependency on liblist-moreutils-perl (for tests).
      - Added build-dependency on libtest-dir-perl (for tests).
      - Added build-dependency on libexpect-simple-perl (for shell tests).
      - Added build-dependency on gpgv, gnupg, ed (for tests).
      - Removed 'breaks' of very old versions of daptup and debdelta.
      - Moved 'libcupt4-2' to sections 'libs', as lintian suggests.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sun, 19 Nov 2017 12:46:03 +0100

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,14 @@
   doxygen,
   txt2tags,
 # test suite
-  libipc-run3-perl
+  gpgv (>= 2),
+  gnupg (>= 2),
+  ed,
+  libipc-run3-perl,
+  liblist-moreutils-perl,
+  libtest-dir-perl,
+  libexpect-simple-perl,
+  locales-all
 Maintainer: Cupt developers <cupt-devel@lists.alioth.debian.org>
 Uploaders: Eugene V. Lyubimkin <jackyf@debian.org>
 Homepage: http://wiki.debian.org/Cupt
@@ -30,18 +37,19 @@
 Section: debug
 Priority: extra
 Architecture: any
-Depends: libcupt4-1 (= ${binary:Version}) | cupt (= ${binary:Version}) |
- libcupt4-1-downloadmethod-curl (= ${binary:Version}) |
- libcupt4-1-downloadmethod-wget (= ${binary:Version}),
+Depends: libcupt4-2 (= ${binary:Version}) | cupt (= ${binary:Version}) |
+ libcupt4-2-downloadmethod-curl (= ${binary:Version}) |
+ libcupt4-2-downloadmethod-wget (= ${binary:Version}),
  ${misc:Depends}
 Description: flexible package manager -- debugging symbols
  This package contains gdb debugging symbols for the Cupt packages.
 
-Package: libcupt4-1
+Package: libcupt4-2
+Section: libs
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, libcupt-common (>= ${source:Version})
-Breaks: debdelta (<< 0.31), dpkg (<< 1.17.11~), gpgv (<< 2~)
-Recommends: libcupt4-1-downloadmethod-curl | libcupt4-1-downloadmethod-wget, bzip2, gpgv, ed
+Breaks: dpkg (<< 1.17.11~), gpgv (<< 2~)
+Recommends: libcupt4-2-downloadmethod-curl | libcupt4-2-downloadmethod-wget, bzip2, gpgv, ed
 Suggests: cupt, lzma, xz-utils, debdelta (>= 0.31), dpkg-dev, dpkg-repack
 Description: flexible package manager -- runtime library
  This is a Cupt library implementing high-level package manager for Debian and
@@ -69,18 +77,18 @@
 Description: flexible package manager -- runtime library (support files)
  This package provides architecture-independent support parts for Cupt library.
  .
- See also description of libcupt4-1 package.
+ See also description of libcupt4-2 package.
 
 Package: libcupt4-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libcupt4-1 (= ${binary:Version})
+Depends: ${misc:Depends}, libcupt4-2 (= ${binary:Version})
 Conflicts: libcupt2-dev, libcupt3-dev
 Suggests: libcupt4-doc
 Description: flexible package manager -- development files
  This package provides headers for Cupt library.
  .
- See also description of libcupt4-1 package.
+ See also description of libcupt4-2 package.
 
 Package: libcupt4-doc
 Section: doc
@@ -89,12 +97,11 @@
 Description: flexible package manager -- library documentation
  This package provides documentation for Cupt library.
  .
- See also description of libcupt4-1 package.
+ See also description of libcupt4-2 package.
 
 Package: cupt
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, libcupt4-1 (>= ${binary:Version})
-Breaks: daptup (<< 0.12.2~)
+Depends: ${misc:Depends}, ${shlibs:Depends}, libcupt4-2 (>= ${binary:Version})
 Suggests: sensible-utils, libreadline7
 Description: flexible package manager -- console interface
  This package provides a console interface to Cupt library, which implements
@@ -124,22 +131,22 @@
  .
  Cupt has built-in support for APT repositories using the file:// or copy://
  URL schemas. For access to remote repositories using HTTP or FTP, install a
- download method such as libcupt4-1-downloadmethod-curl.
+ download method such as libcupt4-2-downloadmethod-curl.
 
-Package: libcupt4-1-downloadmethod-curl
+Package: libcupt4-2-downloadmethod-curl
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: flexible package manager -- libcurl download method
  This package provides http(s) and ftp download handlers for Cupt library
  using libcurl.
  .
- See also description of libcupt4-1 package.
+ See also description of libcupt4-2 package.
 
-Package: libcupt4-1-downloadmethod-wget
+Package: libcupt4-2-downloadmethod-wget
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, wget
 Description: flexible package manager -- wget download method
  This package provides http(s) and ftp download handlers for Cupt library
  using wget.
  .
- See also description of libcupt4-1 package.
+ See also description of libcupt4-2 package.

=== debian/rules ===
--- 
+++ 
@@ -16,6 +16,7 @@
 	chrpath --delete $(CURDIR)/debian/tmp/usr/bin/cupt
 
 override_dh_auto_install-indep:
+	dh_auto_install -i
 	install -m644 scripts/logrotate $(CURDIR)/debian/libcupt-common/etc/logrotate.d/cupt
 
 override_dh_strip:

## cupt 2.10.1

=== test/CMakeLists.txt ===
cmake_policy(SET CMP0037 OLD)

set(SDIR ${CMAKE_CURRENT_SOURCE_DIR})
add_custom_target(
	test
	COMMAND ${SDIR}/run.sh ${SDIR} $<TARGET_FILE:cupt.bin>
)

=== debian/changelog ===
cupt (2.10.1) unstable; urgency=medium

  * test:
    - t/manage/worker/packages/hooks/pre-install-pkgs/feeding-input.t:
      Increased hang-check timeout from 30s to 90s, giving more time to
      HPPA buildds. Thanks to John David Anglin for the investigation and
      Aaron M. Ucko for the report. (Closes: #882238)
  * lib:
    - system/resolver:
      - New class 'ImplicitReason'.
    - system/resolvers/native:
      - Add an appropriate reason for packages which will be implicitly
        auto-configured.
  * cmakelists:
    - Pass '-Wno-format-security' after environment-provided compile flags.
  * debian:
    - control:
      - Maintainer address is again myself instead of Alioth mailing list.
      - Bumped Standards-Version to 4.1.3, no changes needed.
      - Priority for 'cupt-dbg' is changed to 'optional', as suggested by
        lintian.
    - compat:
      - Bumped to 9.
    - source/format:
      - Introduced, with "3.0 (native)".
    - rules:
      - Pass '--parallel' after dh sequence name.
      - Use one-letter name for the build directory, since gpg-agent (used
        in the test suite) has a limit for socket path length.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sat, 28 Apr 2018 11:21:13 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Build-Depends:
 # build system
-  debhelper (>= 7.4.10),
+  debhelper (>= 9),
   cmake (>= 2.6),
   chrpath,
   gettext,
@@ -26,16 +26,15 @@
   libtest-dir-perl,
   libexpect-simple-perl,
   locales-all
-Maintainer: Cupt developers <cupt-devel@lists.alioth.debian.org>
-Uploaders: Eugene V. Lyubimkin <jackyf@debian.org>
+Maintainer: Eugene V. Lyubimkin <jackyf@debian.org>
 Homepage: http://wiki.debian.org/Cupt
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Vcs-Git: git://github.com/jackyf/cupt.git
 Vcs-Browser: https://github.com/jackyf/cupt/tree/master
 
 Package: cupt-dbg
 Section: debug
-Priority: extra
+Priority: optional
 Architecture: any
 Depends: libcupt4-2 (= ${binary:Version}) | cupt (= ${binary:Version}) |
  libcupt4-2-downloadmethod-curl (= ${binary:Version}) |

## cupt 2.10.1build1

=== debian/changelog ===
cupt (2.10.1build1) cosmic; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Jul 2018 12:54:46 +0000

## cupt 2.10.2

=== debian/changelog ===
cupt (2.10.2) unstable; urgency=medium

  * lib:
    - cache:
      - Verifying repository signatures: fixed detecting 'public key not
        found' situations with recent versions of gpgv, which provide more
        than 6 fields for 'ERRSIG' status messages. Thanks to Santiago Vila
        for the report. (Closes: #902457)

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sat, 28 Jul 2018 11:56:13 +0200

## cupt 2.10.3

=== cpp/CMakeLists.txt ===
IF(NOT EXISTS /usr/include/boost/xpressive/xpressive_dynamic.hpp)
	message(FATAL_ERROR "missing Boost.Xpressive library")
ENDIF()

IF(NOT EXISTS /usr/include/boost/program_options.hpp)
	message(FATAL_ERROR "missing Boost.ProgramOptions library")
ENDIF()

find_package(Boost 1.42.0)
IF(Boost_FOUND)
	IF(Boost_VERSION LESS 104200)
		message(FATAL_ERROR "need Boost of version 1.42.0")
	ENDIF(Boost_VERSION LESS 104200)
ELSE()
	message(FATAL_ERROR "missing Boost")
ENDIF()

IF(NOT EXISTS /usr/include/readline/readline.h)
	message(FATAL_ERROR "missing GNU Readline library")
ENDIF()

OPTION(LOCAL "is build local" ON)

include(flags.cmake)
include(version.cmake)

include_directories(.)

add_subdirectory(console)
add_subdirectory(lib)
add_subdirectory(downloadmethods)

=== debian/changelog ===
cupt (2.10.3) unstable; urgency=low

  * debian:
    - control:
      - Use https for Homepage and Vcs-Git fields. Patch by Jelmer Vernooĳ.
    - libcupt4-2.lintian-overrides:
      - Added to override 'uses-dpkg-database-directly'.
  * test:
    - t/version.t: allow pluses and letters so the test cases still pass
      for NMUs. (Closes: #914058)

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Mon, 10 Dec 2018 21:20:34 +0100

## cupt 2.10.3+nmu1

=== debian/changelog ===
cupt (2.10.3+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 11:08:13 +0800

## cupt 2.10.4

=== debian/changelog ===
cupt (2.10.4) unstable; urgency=low

  * console:
    - Auto-detect color support for more variants of 'xterm'-terminals.
  * lib:
    - cache:
      - Parsing sources.list records: fix parsing option values containing
        commas.
      - Parsing sources.list records: fix parsing options where there is
        no whitespace between '[' and the option key.
  * cmakelists:
    - Remove explicit setting of the policy CMP0037. Presumably, since
      CMake 3.11 the target 'test' is no longer auto-reserved.

 -- Eugene V. Lyubimkin <jackyf@debian.org>  Sun, 10 Nov 2019 10:53:34 +0100

## cupt 2.10.4build1

=== debian/changelog ===
cupt (2.10.4build1) focal; urgency=medium

  * No change rebuild against new boost1.71 ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 03 Feb 2020 20:11:56 +0000

## cupt 2.10.4ubuntu1

=== doc/examples/CMakeLists.txt ===
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -std=c++0x")
include_directories(../../cpp/lib/include)

add_subdirectory(show-upgradeable)
add_subdirectory(show-available)

=== debian/changelog ===
cupt (2.10.4ubuntu1) focal; urgency=medium

  * Fix Boost version comparison for new cmake syntax.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sun, 09 Feb 2020 08:05:55 +0000

=== debian/control ===
--- 
+++ 
@@ -26,10 +26,11 @@
   libtest-dir-perl,
   libexpect-simple-perl,
   locales-all
-Maintainer: Eugene V. Lyubimkin <jackyf@debian.org>
-Homepage: http://wiki.debian.org/Cupt
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Eugene V. Lyubimkin <jackyf@debian.org>
+Homepage: https://wiki.debian.org/Cupt
 Standards-Version: 4.1.3
-Vcs-Git: git://github.com/jackyf/cupt.git
+Vcs-Git: https://github.com/jackyf/cupt.git
 Vcs-Browser: https://github.com/jackyf/cupt/tree/master
 
 Package: cupt-dbg

## cupt 2.10.4%2Bnmu1build1

=== test/CMakeLists.txt ===
set(SDIR ${CMAKE_CURRENT_SOURCE_DIR})
add_custom_target(
	test
	COMMAND ${SDIR}/run.sh ${SDIR} $<TARGET_FILE:cupt.bin>
)

## cupt 2.10.4%2Bnmu2build3

=== cpp/downloadmethods/CMakeLists.txt ===
include_directories(../lib/include)

add_library(downloadmethod-wget MODULE wget.cpp)
set_property(TARGET downloadmethod-wget PROPERTY OUTPUT_NAME wget)
target_link_libraries(downloadmethod-wget libcupt)

add_library(downloadmethod-curl MODULE curl.cpp)
set_property(TARGET downloadmethod-curl PROPERTY OUTPUT_NAME curl)
target_link_libraries(downloadmethod-curl libcupt curl-gnutls)

add_library(downloadmethod-debdelta MODULE debdelta.cpp)
set_property(TARGET downloadmethod-debdelta PROPERTY OUTPUT_NAME debdelta)
target_link_libraries(downloadmethod-debdelta libcupt)

add_library(downloadmethod-file MODULE file.cpp)
set_property(TARGET downloadmethod-file PROPERTY OUTPUT_NAME file)
target_link_libraries(downloadmethod-file libcupt)

install(TARGETS downloadmethod-file downloadmethod-wget downloadmethod-curl downloadmethod-debdelta
		DESTINATION ${CUPT_RELATIVE_DOWNLOADMETHODS_DIR})

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: cupt
 Section: admin
 Priority: optional
-Build-Depends:
+Build-Depends: dpkg-dev (>= 1.22.5),
 # build system
   debhelper (>= 9),
   cmake (>= 2.6),
@@ -37,18 +37,20 @@
 Section: debug
 Priority: optional
 Architecture: any
-Depends: libcupt4-2 (= ${binary:Version}) | cupt (= ${binary:Version}) |
+Depends: libcupt4-2t64 (= ${binary:Version}) | cupt (= ${binary:Version}) |
  libcupt4-2-downloadmethod-curl (= ${binary:Version}) |
  libcupt4-2-downloadmethod-wget (= ${binary:Version}),
  ${misc:Depends}
 Description: flexible package manager -- debugging symbols
  This package contains gdb debugging symbols for the Cupt packages.
 
-Package: libcupt4-2
+Package: libcupt4-2t64
+Provides: ${t64:Provides}
+Replaces: libcupt4-2
 Section: libs
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, libcupt-common (>= ${source:Version})
-Breaks: dpkg (<< 1.17.11~), gpgv (<< 2~)
+Breaks: libcupt4-2 (<< ${source:Version}), dpkg (<< 1.17.11~), gpgv (<< 2~)
 Recommends: libcupt4-2-downloadmethod-curl | libcupt4-2-downloadmethod-wget, bzip2, gpgv, ed
 Suggests: cupt, lzma, xz-utils, debdelta (>= 0.31), dpkg-dev, dpkg-repack
 Description: flexible package manager -- runtime library
@@ -77,18 +79,18 @@
 Description: flexible package manager -- runtime library (support files)
  This package provides architecture-independent support parts for Cupt library.
  .
- See also description of libcupt4-2 package.
+ See also description of libcupt4-2t64 package.
 
 Package: libcupt4-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libcupt4-2 (= ${binary:Version})
+Depends: ${misc:Depends}, libcupt4-2t64 (= ${binary:Version})
 Conflicts: libcupt2-dev, libcupt3-dev
 Suggests: libcupt4-doc
 Description: flexible package manager -- development files
  This package provides headers for Cupt library.
  .
- See also description of libcupt4-2 package.
+ See also description of libcupt4-2t64 package.
 
 Package: libcupt4-doc
 Section: doc
@@ -97,11 +99,11 @@
 Description: flexible package manager -- library documentation
  This package provides documentation for Cupt library.
  .
- See also description of libcupt4-2 package.
+ See also description of libcupt4-2t64 package.
 
 Package: cupt
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, libcupt4-2 (>= ${binary:Version})
+Depends: ${misc:Depends}, ${shlibs:Depends}, libcupt4-2t64 (>= ${binary:Version})
 Suggests: sensible-utils, libreadline7
 Description: flexible package manager -- console interface
  This package provides a console interface to Cupt library, which implements
@@ -140,7 +142,7 @@
  This package provides http(s) and ftp download handlers for Cupt library
  using libcurl.
  .
- See also description of libcupt4-2 package.
+ See also description of libcupt4-2t64 package.
 
 Package: libcupt4-2-downloadmethod-wget
 Architecture: any
@@ -149,4 +151,4 @@
  This package provides http(s) and ftp download handlers for Cupt library
  using wget.
  .
- See also description of libcupt4-2 package.
+ See also description of libcupt4-2t64 package.
